grk::TagTreeNode< T > Struct Template Reference

Tag node. More...

`#include <TagTree.h>`

## Public Member Functions

| TagTreeNode ()

## Public Attributes

TagTreeNode * | parent
T | value
T | low
bool | known

## Detailed Description

template<typename T>
struct grk::TagTreeNode< T >

Tag node.

## Constructor & Destructor Documentation

## TagTreeNode()

template<typename T >

grk::TagTreeNode< T >::TagTreeNode | ( |  | ) |

inline

## Member Data Documentation

## known

template<typename T >

bool grk::TagTreeNode< T >::known

## low

template<typename T >

T grk::TagTreeNode< T >::low

Referenced by grk::TagTree< T >::compress().

## parent

template<typename T >

TagTreeNode* grk::TagTreeNode< T >::parent

Referenced by grk::TagTree< T >::compress(), and grk::TagTree< T >::TagTree().

## value

template<typename T >

T grk::TagTreeNode< T >::value

The documentation for this struct was generated from the following file:

- TagTree.h